#include <iostream>

using namespace std;

int BrojCifara(long x);
long SloziBrojeve(long x, long y, long z);
long NadjiNajveci(long arr[], int x);

long a, b, c;
long solutions[6];

int main()
{
	cin >> a >> b >> c;

	solutions[0] = SloziBrojeve(a, b, c);
	solutions[1] = SloziBrojeve(a, c, b);
	solutions[2] = SloziBrojeve(b, a, c);
	solutions[3] = SloziBrojeve(b, c, a);
	solutions[4] = SloziBrojeve(c, b, a);
	solutions[5] = SloziBrojeve(c, a, b);

	cout << NadjiNajveci(solutions, 6);
}

int BrojCifara(long x)
{
	int rv = 0;
	long x_ = x;
	while (x_ > 0)
	{
		x_ = x_ / 10;
		rv++;
	}
	return rv;
}


long SloziBrojeve(long x, long y, long z)
{
	int xCifre = BrojCifara(x);
	int yCifre = BrojCifara(y);
	int zCifre = BrojCifara(z);

	long rv = 0;

	rv = x * long(pow(10, yCifre + zCifre)) + y * long(pow(10, zCifre)) + z;

	return rv;
}

long NadjiNajveci(long arr[], int x)
{
	long rv = arr[0];
	for (int i = 0; i < x; i++)
	{
		if (arr[i] > rv)
			rv = arr[i];
	}
	return rv;
}